{% extends "accounts/base.html" %}

{% block content %}
<h1>List All Submission Boxes </h1>
<table class="table">
    <tr>
        <th>Ega Box Number <br> (ega-box-XXXX) </th>
        <th>RT ticket</th>
        <th>User</th>
        <th> DTA received</th>
        <th>comments</th>
    </tr>
    {% for sb in submissionboxes %}
    <tr>
        <td>{{sb.ega_box_number}}</td>
        <td> {{sb.rt_ticket}}</td>
        <td>{{sb.emails}}</td>
        <td>{{sb.received_dta}} </td>
        <td>{{sb.comments}}</td>
    </tr>
    {% endfor %}
</table>

<!-- <form method="GET" action="{% url 'accounts:search' %}" id="searchsubbox">
    <div>
        <input type="text" name="ega_box_number">
        <input type="submit" value="search" id="butsubmit">
    </div>
</form>

<div id="datos" style="width: 300px;background-color: aqua;height: 100px;">
    

</div> -->

{% endblock %}

{% block custom_js %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript">

    $(document).ready(function () {
        $("#searchsubbox").submit(function (e) {
            e.preventDefault();
            $.ajax({
                url:'/search',
                type: $(this).attr('method'),
                data: $(this).serialize(),
                success: function (json) {
                    /*console.log(json);*/
                    var html=""
                    html = '<p> '+json[0].ega_box_number+'</p>'+
                           '<p>'+json[0].rt_ticket+'</p>'+
                           '<p>'+json[0].emails+'</p>'
                    $('#datos').html(html);
                }
            })
        })
        
    });

</script>
{% endblock %}